Hawaii Day 1 - Mr Greg's Pictures 001.jpg = Keith on the plane
Hawaii Day 1 - The Arrival 001.jpg = Greg on the plane
Hawaii Day 1 - The Arrival 002.jpg = Greg got leied
Hawaii Day 1 - The Arrival 003.jpg = Keith got leied
Hawaii Day 1 - The Arrival 004.jpg = Greg lost luggage
Hawaii Day 1 - The Arrival 005.jpg = Our plane
Hawaii Day 1 - The Arrival 006.jpg = There is a god! 2 beds!
Hawaii Day 1 - The Arrival 007.jpg = View from the room
Hawaii Day 1 - The Arrival 008.jpg = A drink at the bar
Hawaii Day 1 - The Arrival 009.jpg = A drink at the bar
Hawaii Day 1 - The Arrival 010.jpg = A drink at the bar
Hawaii Day 2 - Catamaran & Awards 001.jpg = View from the room
Hawaii Day 2 - Catamaran & Awards 002.jpg = View from the room
Hawaii Day 2 - Catamaran & Awards 003.jpg = Greg on the phone
Hawaii Day 2 - Catamaran & Awards 004.jpg = The shower was so cool
Hawaii Day 2 - Catamaran & Awards 005.jpg = Ron
Hawaii Day 2 - Catamaran & Awards 006.jpg = The catamaran
Hawaii Day 2 - Catamaran & Awards 007.jpg = Catamaran view
Hawaii Day 2 - Catamaran & Awards 008.jpg = Greg & Ellery
Hawaii Day 2 - Catamaran & Awards 009.jpg = Who's the blonde?
Hawaii Day 2 - Catamaran & Awards 010.jpg = Me on the catamaran
Hawaii Day 2 - Catamaran & Awards 011.jpg = The Smiths & Kristy
Hawaii Day 2 - Catamaran & Awards 012.jpg = Ellery
Hawaii Day 2 - Catamaran & Awards 013.jpg = Cheap housing
Hawaii Day 2 - Catamaran & Awards 014.jpg = Raising the sail
Hawaii Day 2 - Catamaran & Awards 015.jpg = No. Take my picture!
Hawaii Day 2 - Catamaran & Awards 016.jpg = The crew
Hawaii Day 2 - Catamaran & Awards 017.jpg = Snow covered mountain
Hawaii Day 2 - Catamaran & Awards 018.jpg = Mountains
Hawaii Day 2 - Catamaran & Awards 019.jpg = Mountains
Hawaii Day 2 - Catamaran & Awards 020.jpg = Look at the water!
Hawaii Day 2 - Catamaran & Awards 021.jpg = More mountains
Hawaii Day 2 - Catamaran & Awards 022.jpg = Kristy & Ellery
Hawaii Day 2 - Catamaran & Awards 023.jpg = Kristy & Ellery
Hawaii Day 2 - Catamaran & Awards 024.jpg = Mike & Debbie
Hawaii Day 2 - Catamaran & Awards 025.jpg = Photo opportunity
Hawaii Day 2 - Catamaran & Awards 028.jpg = Greg & Ellery
Hawaii Day 2 - Catamaran & Awards 029.jpg = Our Captain
Hawaii Day 2 - Catamaran & Awards 030.jpg = Guest captain
Hawaii Day 2 - Catamaran & Awards 031.jpg = Parasailer
Hawaii Day 2 - Catamaran & Awards 032.jpg = Parasailer
Hawaii Day 2 - Catamaran & Awards 033.jpg = Our group
Hawaii Day 2 - Catamaran & Awards 034.jpg = Aloha, Mr Greg.
Hawaii Day 2 - Catamaran & Awards 035.jpg = Bob, our untapped knowledgebase
Hawaii Day 2 - Catamaran & Awards 036.jpg = View from the patio
Hawaii Day 2 - Catamaran & Awards 037.jpg = SHIDOOBEE
Hawaii Day 2 - Lagoon 01.jpg = Eagle Ray
Hawaii Day 2 - Lagoon 02.jpg = Eagle Ray
Hawaii Day 2 - Lagoon 03.jpg = Fish
Hawaii Day 2 - Lagoon 04.jpg = Fish
Hawaii Day 2 - Lagoon 05.jpg = Mr Greg
Hawaii Day 2 - Lagoon 06.jpg = Mr Greg
Hawaii Day 2 - Lagoon 07.jpg = Fish
Hawaii Day 2 - Lagoon 08.jpg = Fish
Hawaii Day 2 - Lagoon 09.jpg = Fish
Hawaii Day 2 - Lagoon 10.jpg = Fish
Hawaii Day 2 - Lagoon 11.jpg = Fish
Hawaii Day 2 - Lagoon 12.jpg = Fish
Hawaii Day 2 - Lagoon 13.jpg = Fish
Hawaii Day 2 - Lagoon 14.jpg = Fish
Hawaii Day 2 - Lagoon 15.jpg = Fish
Hawaii Day 2 - Lagoon 16.jpg = Mr Keith
Hawaii Day 2 - Lagoon 17.jpg = Mr Greg
Hawaii Day 2 - Lagoon 18.jpg = Fish
Hawaii Day 2 - Lagoon 19.jpg = Fish
Hawaii Day 2 - Catamaran & Awards 039.jpg = Mike at the pool
Hawaii Day 2 - Catamaran & Awards 040.jpg = Some very important people ... and Greg
Hawaii Day 2 - Catamaran & Awards 041.jpg = Greg & Denise
Hawaii Day 2 - Catamaran & Awards 042.jpg = Awards room
Hawaii Day 2 - Catamaran & Awards 043.jpg = Awards room
Hawaii Day 2 - Catamaran & Awards 044.jpg = Awards room
Hawaii Day 2 - Catamaran & Awards 045.jpg = The Vick's
Hawaii Day 2 - Catamaran & Awards 046.jpg = The Vick's
Hawaii Day 2 - Catamaran & Awards 047.jpg = Mike presenting
Hawaii Day 2 - Catamaran & Awards 048.jpg = Ron's award
Hawaii Day 2 - Catamaran & Awards 050.jpg = Ron's award
Hawaii Day 2 - Catamaran & Awards 052.jpg = Greg's award
Hawaii Day 2 - Catamaran & Awards 053.jpg = Greg's award
Hawaii Day 2 - Catamaran & Awards 054.jpg = Mike's award
Hawaii Day 2 - Catamaran & Awards 055.jpg = Kristy's award
Hawaii Day 2 - Catamaran & Awards 056.jpg = Kristy's award
Hawaii Day 2 - Catamaran & Awards 057.jpg = Greg Flores
Hawaii Day 2 - Catamaran & Awards 058.jpg = Ellery's award
Hawaii Day 2 - Catamaran & Awards 059.jpg = I'd like to thank the academy
Hawaii Day 2 - Catamaran & Awards 060.jpg = Greg
Hawaii Day 2 - Mr Greg's Pictures 003.jpg = The view
Hawaii Day 2 - Mr Greg's Pictures 004.jpg = The view
Hawaii Day 3 - Being & Blu, Shopping, Luau 001.jpg = Sometimes a beach; Sometimes lava rock
Hawaii Day 3 - Being & Blu, Shopping, Luau 002.jpg = Scenery
Hawaii Day 3 - Being & Blu, Shopping, Luau 003.jpg = Turtle
Hawaii Day 3 - Being & Blu, Shopping, Luau 004.jpg = Another bar
Hawaii Day 3 - Being & Blu, Shopping, Luau 005.jpg = Turtles
Hawaii Day 3 - Being & Blu, Shopping, Luau 006.jpg = From Finding Nemo, a "Gil" fish
Hawaii Day 3 - bubbagumpsgang.jpg = Bubba Gumps Gang
Hawaii Day 3 - Being & Blu, Shopping, Luau 007.jpg = Bubba Gumps for Lunch
Hawaii Day 3 - Being & Blu, Shopping, Luau 008.jpg = SHIDOOBEE!!!
Hawaii Day 3 - Being & Blu, Shopping, Luau 009.jpg = The marina
Hawaii Day 3 - Being & Blu, Shopping, Luau 010.jpg = Mr Greg with the big beer
Hawaii Day 3 - Being & Blu, Shopping, Luau 011.jpg = Being
Hawaii Day 3 - Being & Blu, Shopping, Luau 012.jpg = Me with the big beer
Hawaii Day 3 - Being & Blu, Shopping, Luau 013.jpg = The marina
Hawaii Day 3 - Being & Blu, Shopping, Luau 014.jpg = Strange plant at the marina
Hawaii Day 3 - Being & Blu, Shopping, Luau 015.jpg = The marina
Hawaii Day 3 - Being & Blu, Shopping, Luau 016.jpg = The "Three B's"
Hawaii Day 3 - Being & Blu, Shopping, Luau 017.jpg = The last time Ellery will ever sit across from Kristy!!
Hawaii Day 3 - Being & Blu, Shopping, Luau 018.jpg = Ditto!!
Hawaii Day 3 - Being & Blu, Shopping, Luau 019.jpg = Ellery & Greg
Hawaii Day 3 - Being & Blu, Shopping, Luau 020.jpg = The Vicks
Hawaii Day 3 - Being & Blu, Shopping, Luau 021.jpg = The Vicks
Hawaii Day 3 - Being & Blu, Shopping, Luau 022.avi = Teaching the Hula
Hawaii Day 3 - Being & Blu, Shopping, Luau 023.avi = Teaching the Hula
Hawaii Day 3 - Being & Blu, Shopping, Luau 024.jpg = Unveiling the pig
Hawaii Day 3 - Being & Blu, Shopping, Luau 025.jpg = Unveiling the pig
Hawaii Day 3 - Being & Blu, Shopping, Luau 026.jpg = Unveiling the pig
Hawaii Day 3 - Being & Blu, Shopping, Luau 027.jpg = Unveiling the pig
Hawaii Day 3 - Being & Blu, Shopping, Luau 028.jpg = The royal court
Hawaii Day 3 - Being & Blu, Shopping, Luau 029.jpg = The show
Hawaii Day 3 - Being & Blu, Shopping, Luau 030.jpg = Some of my food (took this after I'd eaten some)
Hawaii Day 3 - Being & Blu, Shopping, Luau 032.jpg = More dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 033.avi = Movie of dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 034.jpg = More dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 035.jpg = More dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 036.avi = Another movie of the dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 037.jpg = Hawaiian cowgirl outfits
Hawaii Day 3 - Being & Blu, Shopping, Luau 038.jpg = Sappy
Hawaii Day 3 - Being & Blu, Shopping, Luau 039.jpg = Fire!
Hawaii Day 3 - Being & Blu, Shopping, Luau 040.jpg = Fire
Hawaii Day 3 - Being & Blu, Shopping, Luau 042.avi = Movie of fire
Hawaii Day 3 - Being & Blu, Shopping, Luau 043.jpg = Fire
Hawaii Day 3 - Being & Blu, Shopping, Luau 045.avi = Movie of fire
Hawaii Day 3 - Being & Blu, Shopping, Luau 046.jpg = Fire
Hawaii Day 3 - Being & Blu, Shopping, Luau 047.jpg = Dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 048.jpg = Dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 049.avi = Movie of dancing
Hawaii Day 3 - Being & Blu, Shopping, Luau 050.jpg = Finale
Hawaii Day 3 - Being & Blu, Shopping, Luau 051.jpg = Mr Greg and his men
Hawaii Day 3 - Being & Blu, Shopping, Luau 052.jpg = Mr Greg and the hottie
Hawaii Day 3 - Being & Blu, Shopping, Luau 053.jpg = Ellery and the hottie
Hawaii Day 3 - Being & Blu, Shopping, Luau 054.jpg = Me and the hottie
Hawaii Day 3 - Being & Blu, Shopping, Luau 057.jpg = Greg insisted on taking the full moon
Hawaii Day 3 - Being & Blu, Shopping, Luau 058.jpg = Greg insisted on taking the full moon
Hawaii Day 3 - Being & Blu, Shopping, Luau 059.jpg = Another bar
Hawaii Day 4 - ATV Excursion, Farewell Dinner 001.jpg = This one's for Greg's boss!
Hawaii Day 4 - ATV Excursion, Farewell Dinner 002.jpg = Cliffs
Hawaii Day 4 - Mr Greg's Pictures 005.jpg = Cliffs
Hawaii Day 4 - ATV Excursion, Farewell Dinner 003.jpg = Cliffs
Hawaii Day 4 - ATV Excursion, Farewell Dinner 004.jpg = Cliffs
Hawaii Day 4 - Mr Greg's Pictures 006.jpg = Mr Greg & Mr Keith
Hawaii Day 4 - ATV Excursion, Farewell Dinner 005.jpg = Cliffs
Hawaii Day 4 - Mr Greg's Pictures 008.jpg - The ATV crew
Hawaii Day 4 - ATV Excursion, Farewell Dinner 006.jpg = The ATV crew
Hawaii Day 4 - ATV Excursion, Farewell Dinner 007.jpg = The ATV's
Hawaii Day 4 - ATV Excursion, Farewell Dinner 008.jpg = The ATV crew
Hawaii Day 4 - ATV Excursion, Farewell Dinner 009.jpg = Mr Greg on the ATV
Hawaii Day 4 - Mr Greg's Pictures 009.jpg = Mr Keith on the ATV
Hawaii Day 4 - Mr Greg's Pictures 014.jpg = Mr Keith on the ATV
Hawaii Day 4 - ATV Excursion, Farewell Dinner 010.jpg = The Smith's on the ATV
Hawaii Day 4 - Mr Greg's Pictures 010.jpg = The Smith's on the ATV
Hawaii Day 4 - Mr Greg's Pictures 015.jpg = Leslie on the ATV
Hawaii Day 4 - ATV Excursion, Farewell Dinner 011.jpg = Cliffs
Hawaii Day 4 - Mr Greg's Pictures 011.jpg = Cliffs
Hawaii Day 4 - ATV Excursion, Farewell Dinner 012.jpg = Lighthouse
Hawaii Day 4 - Mr Greg's Pictures 012.jpg = Lighthouse
Hawaii Day 4 - ATV Excursion, Farewell Dinner 013.avi = Movie of Surfing
Hawaii Day 4 - ATV Excursion, Farewell Dinner 014.avi = Movie of Surfing
Hawaii Day 4 - ATV Excursion, Farewell Dinner 015.jpg = Watching the surfing
Hawaii Day 4 - Mr Greg's Pictures 013.jpg = The Vicks
Hawaii Day 4 - ATV Excursion, Farewell Dinner 016.jpg = Mr Greg
Hawaii Day 4 - ATV Excursion, Farewell Dinner 017.jpg = Watching the surfing
Hawaii Day 4 - ATV Excursion, Farewell Dinner 018.jpg = Mr Greg with the mud
Hawaii Day 4 - ATV Excursion, Farewell Dinner 019.jpg = Farewell dinner setup
Hawaii Day 4 - ATV Excursion, Farewell Dinner 020.jpg = Farewell dinner setup
Hawaii Day 4 - ATV Excursion, Farewell Dinner 021.jpg = Farewell dinner setup
Hawaii Day 4 - Mr Greg's Pictures 016.jpg = Arrival
Hawaii Day 4 - Mr Greg's Pictures 017.jpg = Arrival
Hawaii Day 4 - ATV Excursion, Farewell Dinner 022.jpg = Debbie's tattoo and sunburn
Hawaii Day 4 - ATV Excursion, Farewell Dinner 023.jpg = Our greeters
Hawaii Day 4 - Mr Greg's Pictures 018.jpg = Our table
Hawaii Day 4 - ATV Excursion, Farewell Dinner 026.jpg = Volcano Goddess
Hawaii Day 4 - ATV Excursion, Farewell Dinner 027.jpg = The stage
Hawaii Day 4 - ATV Excursion, Farewell Dinner 029.jpg = The Smiths
Hawaii Day 4 - ATV Excursion, Farewell Dinner 030.jpg = The Vicks
Hawaii Day 4 - ATV Excursion, Farewell Dinner 031.jpg = The Vicks
Hawaii Day 4 - ATV Excursion, Farewell Dinner 032.jpg = Kristy's first dessert
Hawaii Day 4 - ATV Excursion, Farewell Dinner 033.jpg = Sun dancers
Hawaii Day 4 - Mr Greg's Pictures 020.jpg = Sun dancers (this is why Mr Keith was in charge of pictures)
Hawaii Day 4 - ATV Excursion, Farewell Dinner 034.jpg = Kristy's second dessert
Hawaii Day 4 - ATV Excursion, Farewell Dinner 035.avi = Movie of fire twirler
Hawaii Day 4 - ATV Excursion, Farewell Dinner 036.avi = Mayhem
Hawaii Day 5 - The last day 002.jpg = The girl with the shorts!
Hawaii Day 5 - The last day 004.jpg = Lots of swimming danger
Hawaii Day 5 - The last day 005.jpg = Snorkling lagoon (Where our pictures came from)
Hawaii Day 5 - The last day 006.jpg = Myna bird
Hawaii Day 5 - The last day 007.jpg = Room's rate card
Hawaii Day 5 - The last day 008.jpg = Mr Greg, President's clubmember
Hawaii Day 5 - The last day 009.jpg = Map of the Island
Hawaii Day 5 - The last day 010.jpg = Map of the Resort
Hawaii Day 5 - The last day 011.jpg = Mr Greg thinking (that he wants a drink!)
Hawaii Day 5 - The last day 012.jpg = The shorts girl again!
Hawaii Day 5 - The last day 014.jpg = Shark at waters edge
Hawaii Day 5 - The last day 015.jpg = Shark (in a closed in lagoon)
Hawaii Day 5 - The last day 016.jpg = Coral signs in the lava
Hawaii Day 5 - The last day 017.jpg = Coral signs in the lava
Hawaii Day 5 - The last day 018.jpg = Coral signs in the lava
Hawaii Day 5 - The last day 019.jpg = Waiting in the United ticket line